%define         configfilename        sample.wmsmixer

Name:           wmsmixer
Version:        0.5.1
Release:        %mkrel 4
Summary:        A dock application that is another small sound mixer
License:        GPLv2
Group:          Sound/Mixers

URL:            http://dockapps.windowmaker.org/file.php/id/63
Source0:        http://distro.ibiblio.org/pub/linux/distributions/amigolinux/download/DockApps/wmsmixer-0.5.1/%{name}-%{version}.tar.bz2
#fix obsolete compilation flags
Patch0:         wmsmixer-0.5.1-Imakefile.patch

BuildRequires:  imake
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel
BuildRequires:  libxcb-devel
BuildRequires:  libxau-devel
BuildRequires:  libxdmcp-devel

#needs /dev/mixer to work
Suggests:      alsa-oss
Suggests:      ossp 



%description
Wmsmixer is another dock application mixer designed to adjust the
sound levels under OSS compatibility. You can either use the genuine
OSS layer of ALSA or the OSS Proxy Daemon under PULSE. Most common
channels are identified with an appropriate icon and controls include
a stereo (mono when appropriate) volume control and a recording source
toggle button. Some features can be specified through an configuration
file assumed to reside in your home directory, an example of which
being provided in %{_datadir}/%{name}/%{configfilename}.



%prep
%setup -q 
%patch0 -p0 -b .old

%build
xmkmf
%make CXXFLAGS="%optflags" LDLIBS="%ldflags" %{name}


%install
rm -rf %{buildroot}
%makeinstall_std
install -D -m 644 home.wmsmixer %{buildroot}%{_datadir}/%{name}/%configfilename

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README COPYING README.wmmixer
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{configfilename}




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.5.1-4.mga4
+ Revision: 520247
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5.1-3.mga3
+ Revision: 385779
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.5.1-2.mga3
+ Revision: 314685
- Fix obsolete group
- Rebuild for mga3

* Fri Nov 11 2011 eatdirt <eatdirt> 0.5.1-1.mga2
+ Revision: 166735
- imported package wmsmixer


* Fri Nov 11 2011 Chris Ringeval <dirteat@gmail.com> 0.5.1-1.mga2
- import wmsmixer
